1
$\begingroup$

I have an Apple latest arm64 machine. Running the latest R 4.3.0 version. However, I'm unable to install an R package - S4Arrays.

enter image description here

Doesn't look like there is an arm64 build for this package. Anybody know how to resolve it?

$\endgroup$
1
  • $\begingroup$ Can you please paste your error message as text into your question? Images of text are difficult to read, and harder for screen readers to understand. $\endgroup$
    – gringer
    Commented May 12, 2023 at 21:16

1 Answer 1

2
$\begingroup$

The easiest solution is to install the x86 version of R in your M1/M2 Mac here. It will be then emulated by the Rosetta. After that you will have no problems with Bioconductor packages

$\endgroup$
2
  • $\begingroup$ This is a huge pain once one goes down the ARM path for R and libs. I had to revert back when BioC did not support ARM but now, there are other hacks. $\endgroup$
    – Ram RS
    Commented May 11, 2023 at 14:04
  • 1
    $\begingroup$ Yes, I agree it is a pain! However R 4.3 is out for a couple of week, forcing you anyway to start from scratch with the packages' installation, in this situation I think it'll be easier this solution than the various hacks around $\endgroup$
    – flavinsky
    Commented May 11, 2023 at 14:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.